Subject: Re: bug#72254: 29.4; Cannot yank media when image come from Gnome-shell screenshot

From: Po Lu <[email-masked]>
Date: Wed, 21 Aug 2024 10:37:50 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: Po Lu <[email-masked]>
>> Cc: Robert Pluim <[email-masked]>,  [email-masked],  [email-masked],
>>   [email-masked]
>> Date: Tue, 20 Aug 2024 22:01:32 +0800
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > How do you see that it affects only PGTK?
>> 
>> Well, that's easy: for it only modifies pgtkselect.c.
>
> I guess I looked at the wrong patch, then: it was for x-win.el.
>
>> > But if these two conditions are the only cases where this method will
>> > be used, I guess we can install it on the emacs-39 branch after all.
>> 
>> OK.
>> 
>> > Although the problem is hardly urgent.
>> 
>> I think we (implicitly or otherwise) promised the OP that this would be
>> addressed in Emacs 30.
>
> OK.

I was preparing to install this patch when I noticed that commits for
the pretest had been created but that the pretest had yet to be
released.  Perhaps this should be postponed till Andrea puts the tarball
out, am I correct?